<?php

/**
 * Get total hours of a node.
 *
 * @param integer $nid
 * @return float
 */
function bubbletimer_get_node_total($nid) {
  return db_query('SELECT ' . BUBBLETIMER_SQL_TOTAL_COUNT_SNIPPET . '
    FROM {bubbletimer_activity} WHERE nid = :nid', array(
      ':nid' => $nid,
    ))->fetchCol();
}


/**
 * Get total hours of a user (or a of a user and a node).
 *
 * @param integer $uid
 * @param integer $nid if null, all nodes will be calculated
 */
function bubbletimer_get_user_total($uid, $nid = NULL) {
  $result = FALSE;

  if ($nid === NULL) {
    $result = db_query('SELECT ' . BUBBLETIMER_SQL_TOTAL_COUNT_SNIPPET . '
      FROM {bubbletimer_activity} WHERE uid = :uid', array(
        ':uid' => $uid,
      ));
  }
  else {
    $result = db_query('SELECT ' . BUBBLETIMER_SQL_TOTAL_COUNT_SNIPPET . '
      FROM {bubbletimer_activity} WHERE uid = :uid AND nid = :nid', array(
        ':uid' => $uid,
        ':nid' => $nid,
      ));
  }

  return $result->fetchCol();
}


/**
 * Get total hours of a node for given month (YYYY-MM).
 *
 * @param integer $nid
 * @param integer $year
 * @param integer $month
 * @return float
 */
function bubbletimer_get_node_total_month($nid, $year, $month) {
  return db_query('SELECT ' . BUBBLETIMER_SQL_TOTAL_COUNT_SNIPPET . '
    FROM {bubbletimer_activity} WHERE nid = :nid AND date LIKE :date', array(
      ':nid' => $nid,
      ':date' => "{$year}-{$month}-%",
    ))->fetchCol();
}
